View Issue Details

IDProjectCategoryView StatusLast Update
14788Bug reports[All Projects] Survey takingpublic2019-05-29 16:39
ReporterDenisChenu Assigned Top_teichmann  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.17.x 
Target VersionFixed in Version3.17.x 
Summary14788: resume later + ajax mode : JS issue
Description

After resume later form, when come back to survey : js is broken

Steps To Reproduce

See screencast and screensot done with included survey

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.17.2 github
I will donate to the project if issue is resolvedNo
BrowserFF 66
Database & DB-Versionnot relevant ?
Server OS (if known)not relevant ?
Webserver software & version (if known)not relevant ?
PHP Versionnot relevant ?

Activities

DenisChenu

DenisChenu

2019-04-19 11:56

developer  

survey_archive_253199.lsa (4,706 bytes)
simplescreenrecorder-2019-04-19_11.54.18.webm (1,108,573 bytes)
DenisChenu

DenisChenu

2019-04-19 11:57

developer   ~51540

Screenshot with : JS broken and a JS box …



DenisChenu

DenisChenu

2019-04-19 11:57

developer   ~51541

No issue without ajax mode

p_teichmann

p_teichmann

2019-05-03 18:10

administrator   ~51772

https://github.com/LimeSurvey/LimeSurvey/commit/770cd2d9bf6eaf7b2eb42d387068d314e6389829

p_teichmann

p_teichmann

2019-05-29 16:12

administrator   ~52195

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28923

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52204

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 770cd2d9

2019-05-03 17:44:22

p_teichmann

Details Diff
Fixed issue 14788: resume later + ajax mode : JS issue Affected Issues
14788
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - assets/packages/template-core/template-core.js Diff File
mod - assets/scripts/nojs.js Diff File

Issue History

Date Modified Username Field Change
2019-04-19 11:56 DenisChenu New Issue
2019-04-19 11:56 DenisChenu File Added: survey_archive_253199.lsa
2019-04-19 11:56 DenisChenu File Added: simplescreenrecorder-2019-04-19_11.54.18.webm
2019-04-19 11:57 DenisChenu File Added: Capture d’écran du 2019-04-19 11-56-40.png
2019-04-19 11:57 DenisChenu Note Added: 51540
2019-04-19 11:57 DenisChenu Note Added: 51541
2019-04-25 11:09 p_teichmann Assigned To => p_teichmann
2019-04-25 11:09 p_teichmann Status new => assigned
2019-05-03 18:07 p_teichmann Status assigned => resolved
2019-05-03 18:07 p_teichmann Resolution open => fixed
2019-05-03 18:07 p_teichmann Fixed in Version => 3.17.x
2019-05-03 18:10 p_teichmann Note Added: 51772
2019-05-29 16:12 p_teichmann Changeset attached => LimeSurvey master 770cd2d9
2019-05-29 16:12 p_teichmann Note Added: 52195
2019-05-29 16:39 c_schmitz Note Added: 52204
2019-05-29 16:39 c_schmitz Status resolved => closed